# $Revision: 1.11 $, $Date: 2012/04/20 10:35:15 $
Summary:	Python Packet Capture and Injection Library
Summary(pl.UTF-8):	Biblioteka Pythona do przechwytywania i wstrzykiwania pakietów
Name:		python-pycap
Version:	0.1.6
Release:	5
License:	BSD
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pycap/pycap-%{version}.tar.gz
# Source0-md5:	c90bc5382dede1a941e023e7bc27c473
URL:		http://pycap.sourceforge.net/
BuildRequires:	libnet-devel
BuildRequires:	libpcap-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides the ability to capture packets from, and inject
packets onto, network interfaces. It supports commonly found protocols
such as Ethernet, PPP, IP, ARP, TCP, UDP, and ICMP.

%description -l pl.UTF-8
Ten pakiet daje możliwość przechwytywania pakietów oraz wstrzykiwania
ich poprzez interfejsy sieciowe. Obsługuje często spotykane protokoły
takie jak Ethernet, PPP, IP, ARP, TCP, UDP i ICMP.

%prep
%setup -q -n pycap-%{version}

%build
env CFLAGS="%{rpmcflags}" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python -- setup.py install --root=$RPM_BUILD_ROOT --optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*.html docs/*.css
%dir %{py_sitedir}/pycap
%{py_sitedir}/*.egg-info
%attr(755,root,root) %{py_sitedir}/pycap/*.so
%{py_sitedir}/pycap/*.py[co]
%dir %{py_sitedir}/pycap/constants
%{py_sitedir}/pycap/constants/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pycap.spec,v $
Revision 1.11  2012/04/20 10:35:15  baggins
- release 5

Revision 1.10  2010/07/08 08:29:02  arekm
- release 4

Revision 1.9  2010/05/13 17:42:45  sparky
- BR: libpcap-devel

Revision 1.8  2010/04/03 17:24:51  glen
- release 3

Revision 1.7  2008/10/08 20:47:19  arekm
- release 2

Revision 1.6  2007/11/04 20:01:14  qboosh
- BR: rpm-pythonprov

Revision 1.5  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.3  2006/12/05 22:28:14  qboosh
- pl, python epoch

Revision 1.2  2006/12/02 19:02:01  arekm
- req python >= 2.5 due to egg-info

Revision 1.1  2006/12/02 18:59:28  arekm
- new
